// File   : Constants.h
//
// Define cosmology & injection constants


#ifndef _Constants_h_
#define _Constants_h_
//.........................................................
//.............. Cosmology ................................
  const double om_m=0.3;            // Omega matter
  const double om_l=0.7;            // Omega lambda
  const double H0=7.17e-11;         // Hubble constant yr^{-1} (H0=70 Km/Mpc/s)
  const double mN=938.27e6;         // Proton mass (eV)
//.........................................................
//.............. Injection ................................
  const double L0=1;                // source luminosity (eV/cm^3/s)
  const double gSpec=2.3;           // injection power law
  const double mEvo=0.;             // source cosmological evolution 
  const double Mpc2cm = 3.086e24;   // Mpc -> cm
  const double SpeedOfLight = 3.e8; // speed of light m s^{-1}
  const double m2cm = 1.e2;         // m -> cm
  const double SecInY = 3.1557e7;   // year -> seconds
//.........................................................
#endif
