// File   : MathFunctions.h
//
// Purpose: Mathematics propagate nuclei
//
// Authors: Roberto Aloisio (fortran), Sergio Petrera (C++), F.Salamida 
// 
// date: 19/02/2010
// Last update  


#ifndef _MathFunctions_hh_
#define _MathFunctions_hh_

double DivDif (const double*, const double*,const int&, const double&, 
	       const int&);   
double qgaus (double (*)(double), double &, double &); 
void spline (const double*, const double*, const int &, double , double , double*);
double splint (const double*, const double*, double*, const int &, double );
void splie2(const double*, const double*, const double*, const int &, const int &, double*);
double splin2 (const double*, const double*, const double*, double*, const int &, const int &, double &, double &);
double odeint (double &, const double &, 
	       const double &, const double &, const double &, const double &, 
	       int &, int &,double (*)(double &, double &));
void rkqs(double &, double &, double & , double & , const double &, double &, double &, double &,double (*)(double &, double &));
void rkck(double &, double &, double & , double & , double &, double &,double (*)(double &, double &)); 

#endif

