// File   : Output.h
// Particle class
// Authors: F. Salamida 
// 
// date: 05/07/2011


#ifndef _Output_hh_
#define _Output_hh_

#include <cstdio>
#include <list>
#include <vector>
#include <fstream>

#include "Constants.h"
#include "Particle.h" 

#include <TFile.h>
#include <TTree.h>
#include <TBranch.h>

class Output {

 public:
  
  //Constructors
  Output(char *);
  ~Output();
  void Stream(int&, Particle *);
  void Stream(double&, int&, unsigned long int&);
  void Finish();
 
 private:  

  TFile* fout;
  TTree* fnuc;

  int fevt; 
  int fbranch;
  int fintmult;
  int fAcurr;
  int fZecurr;
  double fzOri; 
  double fzEnd;
  double fEOri;
  double fEEnd;
  double fDist;
  double fbdis;

  TTree* fev;

  int fbranxev;
  double ftimexev;
  unsigned long int fRandomSeed;

};

#endif  // _Output_hh_
