#include "Particle.h"
#include <sstream>
#include <iostream>

using namespace std;


Particle::Particle() :
  fmassnum(-1), 
  fcharge(-1),
  fbranch(-1),
  fIntMult(0),
  fEprod(-1.),
  fZprod(-1.),
  fEint(-1.), 
  fZint(-1.),
  fBetaDis(0.),
  fType(eNull)
{

}

Particle::~Particle() {
}

Particle::Particle(int massnum, int charge, int branch, double Eprod, double Zprod, eParticleType type) : 
  fIntMult(0),
  fEint(-1.), 
  fZint(-1.),
  fBetaDis(0.)
{  
  
  fmassnum = massnum; 
  fcharge = charge;
  fbranch = branch;
  fEprod = Eprod;
  fZprod = Zprod;
  fType = type; 

}

Particle::Particle(int massnum, int charge, int branch, double Eprod, double Zprod, double Eint, double Zint, eParticleType type) :
  fIntMult(0),
  fBetaDis(0)
 
{  

  fmassnum = massnum; 
  fcharge = charge;
  fbranch = branch;
  fEprod = Eprod;
  fZprod = Zprod;
  fType = type; 
  fEint = Eint; 
  fZint = Zint;
}


std::string Particle::GetName() {

  switch (fType) 
    {
    case eNucleus: 
      return "nucleus";
    
    case eProton:
      return "proton";
      
    case eMuon:
      return "muon";
      
    case eElectron:
      return "electron";
      
    case ePhoton:
      return "photon";
      
    case eNeutrino:
      return "neutrino";
      
    case eNeutron:
      return "neutron";   
      
    case eNull:
      return "Null";   
    }
  
  return "Null";   
}

 
